QuantLib: YoYInflationTermStructure Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Protected Member Functions | List of all members
YoYInflationTermStructure Class Referenceabstract

Base class for year-on-year inflation term structures. More...

`#include <ql/termstructures/inflationtermstructure.hpp>`

Inheritance diagram for YoYInflationTermStructure:
[legend]

## Public Member Functions
Constructors
| YoYInflationTermStructure (const DayCounter &dayCounter, Rate baseYoYRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yieldTS, const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| YoYInflationTermStructure (const Date &referenceDate, const Calendar &calendar, const DayCounter &dayCounter, Rate baseYoYRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yieldTS, const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| YoYInflationTermStructure (Natural settlementDays, const Calendar &calendar, const DayCounter &dayCounter, Rate baseYoYRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yieldTS, const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
Inspectors
Rate | yoyRate (const Date &d, const Period &instObsLag=Period(-1, Days), bool forceLinearInterpolation=false, bool extrapolate=false) const
| year-on-year inflation rate. More...
Rate | yoyRate (Time t, bool extrapolate=false) const
| year-on-year inflation rate. More...
Public Member Functions inherited from InflationTermStructure
void | setSeasonality (const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| Functions to set and get seasonality. More...
boost::shared_ptr< Seasonality > | seasonality () const
bool | hasSeasonality () const
| InflationTermStructure (Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const DayCounter &dayCounter=DayCounter(), const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| InflationTermStructure (const Date &referenceDate, Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const Calendar &calendar=Calendar(), const DayCounter &dayCounter=DayCounter(), const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| InflationTermStructure (Natural settlementDays, const Calendar &calendar, Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const DayCounter &dayCounter=DayCounter(), const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
virtual Period | observationLag () const
virtual Frequency | frequency () const
virtual bool | indexIsInterpolated () const
virtual Rate | baseRate () const
virtual Handle< YieldTermStructure > | nominalTermStructure () const
virtual Date | baseDate () const =0
| minimum (base) date More...
Public Member Functions inherited from TermStructure
| TermStructure (const DayCounter &dc=DayCounter())
| default constructor More...
| TermStructure (const Date &referenceDate, const Calendar &calendar=Calendar(), const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| TermStructure (Natural settlementDays, const Calendar &, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
virtual DayCounter | dayCounter () const
| the day counter used for date/time conversion
Time | timeFromReference (const Date &date) const
| date/time conversion
virtual Date | maxDate () const =0
| the latest date for which the curve can return values
virtual Time | maxTime () const
| the latest time for which the curve can return values
virtual const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
virtual Calendar | calendar () const
| the calendar used for reference and/or option date calculation
virtual Natural | settlementDays () const
| the settlementDays used for reference date calculation
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Protected Member Functions
virtual Rate | yoyRateImpl (Time time) const =0
| to be defined in derived classes
Protected Member Functions inherited from InflationTermStructure
virtual void | setBaseRate (const Rate &r)
void | checkRange (const Date &, bool extrapolate) const
void | checkRange (Time t, bool extrapolate) const
Protected Member Functions inherited from TermStructure
void | checkRange (const Date &d, bool extrapolate) const
| date-range check
void | checkRange (Time t, bool extrapolate) const
| time-range check

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from InflationTermStructure
boost::shared_ptr< Seasonality > | seasonality_
Period | observationLag_
Frequency | frequency_
bool | indexIsInterpolated_
Rate | baseRate_
Handle< YieldTermStructure > | nominalTermStructure_
Protected Attributes inherited from TermStructure
bool | moving_
bool | updated_
Calendar | calendar_

## Detailed Description

Base class for year-on-year inflation term structures.

## Member Function Documentation

## ◆ yoyRate() [1/2]

Rate yoyRate | ( | const Date & | d,
|  | const Period & | instObsLag = `Period(-1, Days)`,
|  | bool | forceLinearInterpolation = `false`,
|  | bool | extrapolate = `false`
| ) |  | const

year-on-year inflation rate.

The forceLinearInterpolation parameter is relative to the frequency of the TS.

Note
  this is not the year-on-year swap (YYIIS) rate.

## ◆ yoyRate() [2/2]

Rate yoyRate | ( | Time | t,
|  | bool | extrapolate = `false`
| ) |  | const

year-on-year inflation rate.

Warning:
  Since inflation is highly linked to dates (lags, interpolation, months for seasonality, etc) this method cannot account for all effects. If you call it, You'll have to manage lag, seasonality etc. yourself.